Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012222ScribusGeneralpublic2014-04-19 15:542014-08-14 14:38
ReporterFirasH 
Assigned Tojghali 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64OSopenSUSEOS Version13.1
Product Version1.4.4.svn 
Target Version1.6 milestoneFixed in Version1.4.5.svn 
Summary0012222: Opening a non compatible Scribus format disables "Action History"
DescriptionOpening a file which is not compatible with Scribus (like bin files) disables completely the Action History.
Steps To Reproduce0) Make sure Windows > Action History is opened
1) Go to File > Open
2) Open a non compatible Scribus file format (for example .html or bin files)
Fatal Error window will pop up reporting that the file is not compatible.

3) Create a new document
4) Apply some changes to the file
Action History does not work.
Additional InformationIssue present on:
Scribus 1.4.4 SVN (19048)
Scribus 1.5.0 SVN (19047)
TagsNo tags attached.
Patch
Attached Files

- Relationships
related to 0012601closedjghali Convert to > Symbol disables Undo/Redo in determined condition 
child of 0012500acknowledged Metabug: Undo/Redo (1.5.0.svn) 

-  Notes
(0031709)
FirasH (developer)
2014-04-19 16:30
edited on: 2014-05-22 14:54

Found a way to "restart" the Action History:
After step 3:
4) Select the Bezier Curve tool
5) Draw a Bezier Curve and when completed right-click to exit edit mode
Action History starts working again.

(works only with 1.5.0)

(0032095)
FirasH (developer)
2014-06-12 12:06

I also had this issue a few times using Scribus tools, When I manage to get precise steps I'll add them in a note.
(0033249)
FirasH (developer)
2014-08-14 14:38

Thanks jghali!
Fixed in 1.4.5.svn (19424) and 1.5.0.svn (19425).

- Issue History
Date Modified Username Field Change
2014-04-19 15:54 FirasH New Issue
2014-04-19 16:30 FirasH Note Added: 0031709
2014-05-22 14:54 FirasH Note Edited: 0031709 View Revisions
2014-05-27 22:55 cbradney Target Version => 1.6 milestone
2014-06-12 12:06 FirasH Note Added: 0032095
2014-08-13 16:28 FirasH Relationship added related to 0012601
2014-08-13 16:29 FirasH Relationship added child of 0012500
2014-08-14 08:21 jghali Status new => resolved
2014-08-14 08:21 jghali Fixed in Version => 1.4.5.svn
2014-08-14 08:21 jghali Resolution open => fixed
2014-08-14 08:21 jghali Assigned To => jghali
2014-08-14 14:38 FirasH Note Added: 0033249
2014-08-14 14:38 FirasH Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker